Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Class ImperativeOCLToStringVisitor

    java.lang.Object

          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util.ImperativeOCLToStringVisitor

All Implemented Interfaces:
  ImperativeOCLVisitor<java.lang.String>

    public class ImperativeOCLToStringVisitor

extends
implements ImperativeOCLVisitor<java.lang.String>

Implementation of `ImperativeOCLVisitor` to have the String representation of a `ImperativeOCL expression`

Constructor Summary
`protected` | `ImperativeOCLToStringVisitor( env)`

Method Summary
`static ImperativeOCLToStringVisitor` | `getInstance( element)`
`java.lang.String` | `visitAltExp(AltExp astNode)`
`java.lang.String` | `visitAssertExp(AssertExp astNode)`
`java.lang.String` | `visitAssignExp(AssignExp astNode)`
`java.lang.String` | `visitBlockExp(BlockExp astNode)`
`java.lang.String` | `visitBreakExp(BreakExp astNode)`
`java.lang.String` | `visitCatchtExp(CatchExp astNode)`
`java.lang.String` | `visitComputeExp(ComputeExp astNode)`
`java.lang.String` | `visitContinueExp(ContinueExp astNode)`
`java.lang.String` | `visitDictLiteralExp(DictLiteralExp astNode)`
`java.lang.String` | `visitDictLiteralPart(DictLiteralPart astNode)`
`java.lang.String` | `visitForExp(ForExp astNode)`
`java.lang.String` | `visitImperativeIterateExp(DictLiteralExp astNode)`
`java.lang.String` | `visitImperativeIterateExp(ImperativeIterateExp astNode)`
`java.lang.String` | `visitInstantiationExp(InstantiationExp astNode)`
`java.lang.String` | `visitLogExp(LogExp astNode)`
`java.lang.String` | `visitOrderedTupleLiteralExp(OrderedTupleLiteralExp astNode)`
`java.lang.String` | `visitOrderedTupleLiteralPart(OrderedTupleLiteralPart astNode)`
`java.lang.String` | `visitRaiseExp(RaiseExp astNode)`
`java.lang.String` | `visitReturnExp(ReturnExp astNode)`
`java.lang.String` | `visitSwitchExp(SwitchExp astNode)`
`java.lang.String` | `visitTryExp(LogExp astNode)`
`java.lang.String` | `visitTryExp(TryExp astNode)`
`java.lang.String` | `visitUnlinkExp(UnlinkExp astNode)`
`java.lang.String` | `visitUnpackExp(LogExp astNode)`
`java.lang.String` | `visitUnpackExp(UnpackExp astNode)`
`java.lang.String` | `visitVariableInitExp(LogExp astNode)`
`java.lang.String` | `visitVariableInitExp(VariableInitExp astNode)`
`java.lang.String` | `visitWhileExp(WhileExp astNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImperativeOCLToStringVisitor

    protected ImperativeOCLToStringVisitor( env)

Method Detail

### getInstance

    public static ImperativeOCLToStringVisitor getInstance( element)

### visitAltExp

    public java.lang.String visitAltExp(AltExp astNode)

  Specified by:
    `visitAltExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitAssertExp

    public java.lang.String visitAssertExp(AssertExp astNode)

  Specified by:
    `visitAssertExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitAssignExp

    public java.lang.String visitAssignExp(AssignExp astNode)

  Specified by:
    `visitAssignExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitBlockExp

    public java.lang.String visitBlockExp(BlockExp astNode)

  Specified by:
    `visitBlockExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitBreakExp

    public java.lang.String visitBreakExp(BreakExp astNode)

  Specified by:
    `visitBreakExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitCatchtExp

    public java.lang.String visitCatchtExp(CatchExp astNode)

  Specified by:
    `visitCatchtExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitComputeExp

    public java.lang.String visitComputeExp(ComputeExp astNode)

  Specified by:
    `visitComputeExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitContinueExp

    public java.lang.String visitContinueExp(ContinueExp astNode)

  Specified by:
    `visitContinueExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitDictLiteralExp

    public java.lang.String visitDictLiteralExp(DictLiteralExp astNode)

  Specified by:
    `visitDictLiteralExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitDictLiteralPart

    public java.lang.String visitDictLiteralPart(DictLiteralPart astNode)

  Specified by:
    `visitDictLiteralPart` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitForExp

    public java.lang.String visitForExp(ForExp astNode)

  Specified by:
    `visitForExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitImperativeIterateExp

    public java.lang.String visitImperativeIterateExp(DictLiteralExp astNode)

### visitInstantiationExp

    public java.lang.String visitInstantiationExp(InstantiationExp astNode)

  Specified by:
    `visitInstantiationExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitLogExp

    public java.lang.String visitLogExp(LogExp astNode)

  Specified by:
    `visitLogExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitOrderedTupleLiteralExp

    public java.lang.String visitOrderedTupleLiteralExp(OrderedTupleLiteralExp astNode)

  Specified by:
    `visitOrderedTupleLiteralExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitOrderedTupleLiteralPart

    public java.lang.String visitOrderedTupleLiteralPart(OrderedTupleLiteralPart astNode)

  Specified by:
    `visitOrderedTupleLiteralPart` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitRaiseExp

    public java.lang.String visitRaiseExp(RaiseExp astNode)

  Specified by:
    `visitRaiseExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitReturnExp

    public java.lang.String visitReturnExp(ReturnExp astNode)

  Specified by:
    `visitReturnExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitSwitchExp

    public java.lang.String visitSwitchExp(SwitchExp astNode)

  Specified by:
    `visitSwitchExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitTryExp

    public java.lang.String visitTryExp(LogExp astNode)

### visitUnlinkExp

    public java.lang.String visitUnlinkExp(UnlinkExp astNode)

  Specified by:
    `visitUnlinkExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitUnpackExp

    public java.lang.String visitUnpackExp(LogExp astNode)

### visitVariableInitExp

    public java.lang.String visitVariableInitExp(LogExp astNode)

### visitImperativeIterateExp

    public java.lang.String visitImperativeIterateExp(ImperativeIterateExp astNode)

  Specified by:
    `visitImperativeIterateExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitTryExp

    public java.lang.String visitTryExp(TryExp astNode)

  Specified by:
    `visitTryExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitUnpackExp

    public java.lang.String visitUnpackExp(UnpackExp astNode)

  Specified by:
    `visitUnpackExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitVariableInitExp

    public java.lang.String visitVariableInitExp(VariableInitExp astNode)

  Specified by:
    `visitVariableInitExp` in interface `ImperativeOCLVisitor<java.lang.String>`

### visitWhileExp

    public java.lang.String visitWhileExp(WhileExp astNode)

  Specified by:
    `visitWhileExp` in interface `ImperativeOCLVisitor<java.lang.String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD